SoulFire LogoSoulFire

Get bot

Returns detailed information about a specific bot. Includes full live state with complete inventory data when the bot is online.

GET
/v1/instances/{instance_id}/bots/{bot_id}

Returns detailed information about a specific bot. Includes full live state with complete inventory data when the bot is online.

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Path Parameters

instance_id*string

The UUID of the SoulFire instance containing the bot. Must be a valid UUID string format (e.g., "550e8400-e29b-41d4-a716-446655440000").

Formatuuid
bot_id*string

The profile UUID of the bot (Minecraft account UUID). Must be a valid UUID string format.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/instances/497f6eca-6276-4993-bfeb-53cbbbba6f08/bots/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "liveState": {    "x": 0.1,    "y": 0.1,    "z": 0.1,    "xRot": 0.1,    "yRot": 0.1,    "health": 0.1,    "maxHealth": 0.1,    "foodLevel": 0,    "saturationLevel": 0.1,    "inventory": [      {        "slot": 0,        "itemId": "string",        "count": 0,        "displayName": "string",        "iconBase64": "string",        "iconMimeType": "string"      }    ],    "selectedHotbarSlot": 0,    "dimension": "string",    "experienceLevel": 0,    "experienceProgress": 0.1,    "skinTextureHash": "string",    "gameMode": "GAME_MODE_UNSPECIFIED"  },  "status": {    "profileId": "faebe71b-2bf8-4bdb-9b67-258e4d6aa00a",    "desiredState": "BOT_DESIRED_STATE_UNSPECIFIED",    "runtimeState": "BOT_RUNTIME_STATE_UNSPECIFIED",    "lastError": "string",    "updatedAt": "2019-08-24T14:15:22Z"  }}

How is this page?